#pragma once

#include "NetUse.h"

class Impersonator
{
public:
	Impersonator(void);
	~Impersonator(void);
	bool BeginImpersonation(LPCTSTR lpszUserName, LPCTSTR lpszDomain, LPCTSTR lpszPassword);
	bool StopImpersonation(void);

private:
	//HANDLE m_hToken;
	NetUse m_objNetUse;
	char m_lpszServer[MAX_PATH + 1];
};
